import ContrattoPayload from '../../contratti/ContrattoPayload';

export default interface EoloPayload extends Required<ContrattoPayload> {
  indirizzoAttivazione: string,
  tipoIndirizzoAttivazione: string,
  numeroCivicoAttivazione: string,
  comuneAttivazione: string,
  capAttivazione: string,
  tipoContratto: string,
  precedenteOperatore: string,
  nomeAltroOperatore: string | null,
  usiInternet: Array<string>,
  interessiInternet: Array<string>,
  pacchetto: string,
  tipoInstallazione: string,
  ripetitoreWifi: string,
  router: string,
  numeroDiTelefono: string | null,
  codiceMigrazione: string | null,
  intestatarioLineaTelefonicaDiversoDaQuelloDellaConnessioneEOLO: string | number,
  tipoIntestatario: string,
  nomeIntestatarioLineaTelefonica: string | null,
  cognomeIntestatarioLineaTelefonica: string | null,
  comuneDiNascitaIntestatarioLineaTelefonica: string | null,
  codiceFiscaleIntestatarioLineaTelefonica: string | null,
  emailIntestatarioLineaTelefonica: string | null,
  cellulareIntestatarioLineaTelefonica: string | null,
  nomeIntestatario: string,
  cognomeIntestatario: string,
  ragioneSocialeIntestatario: string | null,
  pivaIntestatario: string | null,
  cciaaIntestatario: string | null,
  emailIntestatario: string,
  codiceFiscaleIntestatario: string,
  tipoIndirizzoIntestatario: string | null,
  indirizzoIntestatario: string | null,
  civicoIntestatario: string | null,
  capIntestatario: string | null,
  dataDiNascitaIntestatario: string,
  comuneDiNascitaIntestatario: string,
  sessoIntestatario: string,
  cellulareIntestatario: string,
  presenzaInstallazione: string,
  nomePresenzaInstallazione: string | null,
  cognomePresenzaInstallazione: string | null,
  cellularePresenzaInstallazione: string | null,
  emailPresenzaInstallazione: string | null,
  datiFatturaDiversiDaFornitura: string | number,
  tipoIndirizzoFatturazione: string | null,
  indirizzoFatturazione: string | null,
  civicoFatturazione: string | null,
  comuneFatturazione: string | null,
  capFatturazione: string | null,
  nomeFatturazione: string | null,
  cognomeFatturazione: string | null,
  dataDiNascitaFatturazione: string | null,
  comuneDiNascitaFatturazione: string | null,
  sessoFatturazione: string | null,
  codiceFiscaleFatturazione: string | null,
  cellulareFatturazione: string | null,
  emailFatturazione: string | null,
  tipoDocumento: string,
  numeroDocumento: string,
  comuneRilascioDocumento: string,
  dataRilascioDocumento: string,
  dataScadenzaDocumento: string
}
